Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Error during application build during Metron TP1 install on Vagrant single-node deployment

Solved Go to solution
Highlighted

Error during application build during Metron TP1 install on Vagrant single-node deployment

New Contributor

I am trying to install Metron on a Vagrant single-node. I received the following error message during the application build step (mvn apache-rat:check && cd metron-streaming && mvn clean integration-test && cd ..,). I am running Maven 3.3.9.

[ERROR] No plugin found for prefix 'apache-rat' in the current project and in the plugin groups [org.apache.maven.plugins, org.codehaus.mojo] available from the repositories [local (/root/.m2/repository), central (https://repo.maven.apache.org/maven2)] -> [Help 1]

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Error during application build during Metron TP1 install on Vagrant single-node deployment

New Contributor

Performed installation on desktop rather than on VM and installation succeeded.

3 REPLIES 3

Re: Error during application build during Metron TP1 install on Vagrant single-node deployment

New Contributor

On rerunning the build application step (mvn apache-rat:check && cd metron-streaming && mvn clean integration-test && cd ..) this morning, I received the following error message:

[ERROR] Failed to execute goal on project Metron-Common: Could not resolve dependencies for project org.apache.metron:Metron-Common:jar:0.1BETA: Could not find artifact jdk.tools:jdk.tools:jar:1.7 at specified path /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.77-0.b03.el6_7.x86_64/jre/../lib/tools.jar -> [Help 1]

I reran the final command (mvn clean integration-test) with -e and received the following information:

"Caused by: org.eclipse.aether.resolution.ArtifactResolutionException: Could not find artifact jdk.tools:jdk.tools:jar:1.7 at specified path /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.77-0.b03.el6_7.x86_64/jre/../lib/tools.jar"

I verified that my JAVA_HOME is set correctly:

[root@c6501 metron-streaming]# echo $JAVA_HOME

/usr/lib/jvm/jre-1.8.0-openjdk.x86_64

The prerequisites state that JAVA 1.8 should be installed. However, the error message seems to indicate that the build is looking for Java 1.7. Do I need to install Java 1.7 rather than Java 1.8?

Re: Error during application build during Metron TP1 install on Vagrant single-node deployment

New Contributor

@jsirota Could you point me to someone who can help with this. I'm blocked on my installation until I get this resolved. Thanks!

Re: Error during application build during Metron TP1 install on Vagrant single-node deployment

New Contributor

Performed installation on desktop rather than on VM and installation succeeded.

Don't have an account?
Coming from Hortonworks? Activate your account here